diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-comments-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-comments-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-comments-list-table.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-comments-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 21,27 ****
  
  	var $pending_count = array();
  
! 	function __construct() {
  		global $post_id;
  
  		$post_id = isset( $_REQUEST['p'] ) ? absint( $_REQUEST['p'] ) : 0;
--- 21,27 ----
  
  	var $pending_count = array();
  
! 	function __construct( $args = array() ) {
  		global $post_id;
  
  		$post_id = isset( $_REQUEST['p'] ) ? absint( $_REQUEST['p'] ) : 0;
***************
*** 33,38 ****
--- 33,39 ----
  			'plural' => 'comments',
  			'singular' => 'comment',
  			'ajax' => true,
+ 			'screen' => isset( $args['screen'] ) ? $args['screen'] : null,
  		) );
  	}
  
***************
*** 81,87 ****
  
  		$status_map = array(
  			'moderated' => 'hold',
! 			'approved' => 'approve'
  		);
  
  		$args = array(
--- 82,89 ----
  
  		$status_map = array(
  			'moderated' => 'hold',
! 			'approved' => 'approve',
! 			'all' => '',
  		);
  
  		$args = array(
***************
*** 224,236 ****
  			?>
  			</select>
  <?php
! 			submit_button( __( 'Filter' ), 'secondary', false, false, array( 'id' => 'post-query-submit' ) );
  		}
  
  		if ( ( 'spam' == $comment_status || 'trash' == $comment_status ) && current_user_can( 'moderate_comments' ) ) {
  			wp_nonce_field( 'bulk-destroy', '_destroy_nonce' );
  			$title = ( 'spam' == $comment_status ) ? esc_attr__( 'Empty Spam' ) : esc_attr__( 'Empty Trash' );
! 			submit_button( $title, 'button-secondary apply', 'delete_all', false );
  		}
  		do_action( 'manage_comments_nav', $comment_status );
  		echo '</div>';
--- 226,239 ----
  			?>
  			</select>
  <?php
! 			do_action( 'restrict_manage_comments' );
! 			submit_button( __( 'Filter' ), 'button', false, false, array( 'id' => 'post-query-submit' ) );
  		}
  
  		if ( ( 'spam' == $comment_status || 'trash' == $comment_status ) && current_user_can( 'moderate_comments' ) ) {
  			wp_nonce_field( 'bulk-destroy', '_destroy_nonce' );
  			$title = ( 'spam' == $comment_status ) ? esc_attr__( 'Empty Spam' ) : esc_attr__( 'Empty Trash' );
! 			submit_button( $title, 'apply', 'delete_all', false );
  		}
  		do_action( 'manage_comments_nav', $comment_status );
  		echo '</div>';
***************
*** 288,298 ****
  	</tr>
  	</tfoot>
  
! 	<tbody id="the-comment-list" class="list:comment">
  		<?php $this->display_rows_or_placeholder(); ?>
  	</tbody>
  
! 	<tbody id="the-extra-comment-list" class="list:comment" style="display: none;">
  		<?php $this->items = $this->extra_items; $this->display_rows(); ?>
  	</tbody>
  </table>
--- 291,301 ----
  	</tr>
  	</tfoot>
  
! 	<tbody id="the-comment-list" data-wp-lists="list:comment">
  		<?php $this->display_rows_or_placeholder(); ?>
  	</tbody>
  
! 	<tbody id="the-extra-comment-list" data-wp-lists="list:comment" style="display: none;">
  		<?php $this->items = $this->extra_items; $this->display_rows(); ?>
  	</tbody>
  </table>
***************
*** 317,328 ****
  	}
  
  	function column_cb( $comment ) {
! 		if ( $this->user_can )
! 			echo "<input type='checkbox' name='delete_comments[]' value='$comment->comment_ID' />";
  	}
  
  	function column_comment( $comment ) {
! 		global $post, $comment_status;
  
  		$user_can = $this->user_can;
  
--- 320,335 ----
  	}
  
  	function column_cb( $comment ) {
! 		if ( $this->user_can ) { ?>
! 		<label class="screen-reader-text" for="cb-select-<?php echo $comment->comment_ID; ?>"><?php _e( 'Select comment' ); ?></label>
! 		<input id="cb-select-<?php echo $comment->comment_ID; ?>" type="checkbox" name="delete_comments[]" value="<?php echo $comment->comment_ID; ?>" />
! 		<?php
! 		}
  	}
  
  	function column_comment( $comment ) {
! 		global $comment_status;
! 		$post = get_post();
  
  		$user_can = $this->user_can;
  
***************
*** 330,336 ****
  		$the_comment_status = wp_get_comment_status( $comment->comment_ID );
  
  		$ptime = date( 'G', strtotime( $comment->comment_date ) );
! 		if ( ( abs( time() - $ptime ) ) < 86400 )
  			$ptime = sprintf( __( '%s ago' ), human_time_diff( $ptime ) );
  		else
  			$ptime = mysql2date( __( 'Y/m/d \a\t g:i A' ), $comment->comment_date );
--- 337,343 ----
  		$the_comment_status = wp_get_comment_status( $comment->comment_ID );
  
  		$ptime = date( 'G', strtotime( $comment->comment_date ) );
! 		if ( ( abs( time() - $ptime ) ) < DAY_IN_SECONDS )
  			$ptime = sprintf( __( '%s ago' ), human_time_diff( $ptime ) );
  		else
  			$ptime = mysql2date( __( 'Y/m/d \a\t g:i A' ), $comment->comment_date );
***************
*** 389,414 ****
  
  			if ( $comment_status && 'all' != $comment_status ) { // not looking at all comments
  				if ( 'approved' == $the_comment_status )
! 					$actions['unapprove'] = "<a href='$unapprove_url' class='delete:the-comment-list:comment-$comment->comment_ID:e7e7d3:action=dim-comment&amp;new=unapproved vim-u vim-destructive' title='" . esc_attr__( 'Unapprove this comment' ) . "'>" . __( 'Unapprove' ) . '</a>';
  				else if ( 'unapproved' == $the_comment_status )
! 					$actions['approve'] = "<a href='$approve_url' class='delete:the-comment-list:comment-$comment->comment_ID:e7e7d3:action=dim-comment&amp;new=approved vim-a vim-destructive' title='" . esc_attr__( 'Approve this comment' ) . "'>" . __( 'Approve' ) . '</a>';
  			} else {
! 				$actions['approve'] = "<a href='$approve_url' class='dim:the-comment-list:comment-$comment->comment_ID:unapproved:e7e7d3:e7e7d3:new=approved vim-a' title='" . esc_attr__( 'Approve this comment' ) . "'>" . __( 'Approve' ) . '</a>';
! 				$actions['unapprove'] = "<a href='$unapprove_url' class='dim:the-comment-list:comment-$comment->comment_ID:unapproved:e7e7d3:e7e7d3:new=unapproved vim-u' title='" . esc_attr__( 'Unapprove this comment' ) . "'>" . __( 'Unapprove' ) . '</a>';
  			}
  
  			if ( 'spam' != $the_comment_status && 'trash' != $the_comment_status ) {
! 				$actions['spam'] = "<a href='$spam_url' class='delete:the-comment-list:comment-$comment->comment_ID::spam=1 vim-s vim-destructive' title='" . esc_attr__( 'Mark this comment as spam' ) . "'>" . /* translators: mark as spam link */ _x( 'Spam', 'verb' ) . '</a>';
  			} elseif ( 'spam' == $the_comment_status ) {
! 				$actions['unspam'] = "<a href='$unspam_url' class='delete:the-comment-list:comment-$comment->comment_ID:66cc66:unspam=1 vim-z vim-destructive'>" . _x( 'Not Spam', 'comment' ) . '</a>';
  			} elseif ( 'trash' == $the_comment_status ) {
! 				$actions['untrash'] = "<a href='$untrash_url' class='delete:the-comment-list:comment-$comment->comment_ID:66cc66:untrash=1 vim-z vim-destructive'>" . __( 'Restore' ) . '</a>';
  			}
  
  			if ( 'spam' == $the_comment_status || 'trash' == $the_comment_status || !EMPTY_TRASH_DAYS ) {
! 				$actions['delete'] = "<a href='$delete_url' class='delete:the-comment-list:comment-$comment->comment_ID::delete=1 delete vim-d vim-destructive'>" . __( 'Delete Permanently' ) . '</a>';
  			} else {
! 				$actions['trash'] = "<a href='$trash_url' class='delete:the-comment-list:comment-$comment->comment_ID::trash=1 delete vim-d vim-destructive' title='" . esc_attr__( 'Move this comment to the trash' ) . "'>" . _x( 'Trash', 'verb' ) . '</a>';
  			}
  
  			if ( 'spam' != $the_comment_status && 'trash' != $the_comment_status ) {
--- 396,421 ----
  
  			if ( $comment_status && 'all' != $comment_status ) { // not looking at all comments
  				if ( 'approved' == $the_comment_status )
! 					$actions['unapprove'] = "<a href='$unapprove_url' data-wp-lists='delete:the-comment-list:comment-$comment->comment_ID:e7e7d3:action=dim-comment&amp;new=unapproved' class='vim-u vim-destructive' title='" . esc_attr__( 'Unapprove this comment' ) . "'>" . __( 'Unapprove' ) . '</a>';
  				else if ( 'unapproved' == $the_comment_status )
! 					$actions['approve'] = "<a href='$approve_url' data-wp-lists='delete:the-comment-list:comment-$comment->comment_ID:e7e7d3:action=dim-comment&amp;new=approved' class='vim-a vim-destructive' title='" . esc_attr__( 'Approve this comment' ) . "'>" . __( 'Approve' ) . '</a>';
  			} else {
! 				$actions['approve'] = "<a href='$approve_url' data-wp-lists='dim:the-comment-list:comment-$comment->comment_ID:unapproved:e7e7d3:e7e7d3:new=approved' class='vim-a' title='" . esc_attr__( 'Approve this comment' ) . "'>" . __( 'Approve' ) . '</a>';
! 				$actions['unapprove'] = "<a href='$unapprove_url' data-wp-lists='dim:the-comment-list:comment-$comment->comment_ID:unapproved:e7e7d3:e7e7d3:new=unapproved' class='vim-u' title='" . esc_attr__( 'Unapprove this comment' ) . "'>" . __( 'Unapprove' ) . '</a>';
  			}
  
  			if ( 'spam' != $the_comment_status && 'trash' != $the_comment_status ) {
! 				$actions['spam'] = "<a href='$spam_url' data-wp-lists='delete:the-comment-list:comment-$comment->comment_ID::spam=1' class='vim-s vim-destructive' title='" . esc_attr__( 'Mark this comment as spam' ) . "'>" . /* translators: mark as spam link */ _x( 'Spam', 'verb' ) . '</a>';
  			} elseif ( 'spam' == $the_comment_status ) {
! 				$actions['unspam'] = "<a href='$unspam_url' data-wp-lists='delete:the-comment-list:comment-$comment->comment_ID:66cc66:unspam=1' class='vim-z vim-destructive'>" . _x( 'Not Spam', 'comment' ) . '</a>';
  			} elseif ( 'trash' == $the_comment_status ) {
! 				$actions['untrash'] = "<a href='$untrash_url' data-wp-lists='delete:the-comment-list:comment-$comment->comment_ID:66cc66:untrash=1' class='vim-z vim-destructive'>" . __( 'Restore' ) . '</a>';
  			}
  
  			if ( 'spam' == $the_comment_status || 'trash' == $the_comment_status || !EMPTY_TRASH_DAYS ) {
! 				$actions['delete'] = "<a href='$delete_url' data-wp-lists='delete:the-comment-list:comment-$comment->comment_ID::delete=1' class='delete vim-d vim-destructive'>" . __( 'Delete Permanently' ) . '</a>';
  			} else {
! 				$actions['trash'] = "<a href='$trash_url' data-wp-lists='delete:the-comment-list:comment-$comment->comment_ID::trash=1' class='delete vim-d vim-destructive' title='" . esc_attr__( 'Move this comment to the trash' ) . "'>" . _x( 'Trash', 'verb' ) . '</a>';
  			}
  
  			if ( 'spam' != $the_comment_status && 'trash' != $the_comment_status ) {
***************
*** 476,482 ****
  	}
  
  	function column_response( $comment ) {
! 		global $post;
  
  		if ( isset( $this->pending_count[$post->ID] ) ) {
  			$pending_comments = $this->pending_count[$post->ID];
--- 483,489 ----
  	}
  
  	function column_response( $comment ) {
! 		$post = get_post();
  
  		if ( isset( $this->pending_count[$post->ID] ) ) {
  			$pending_comments = $this->pending_count[$post->ID];
***************
*** 545,551 ****
  		wp_nonce_field( "fetch-list-" . get_class( $this ), '_ajax_fetch_list_nonce' );
  ?>
  <table class="<?php echo implode( ' ', $this->get_table_classes() ); ?>" cellspacing="0" style="display:none;">
! 	<tbody id="the-comment-list"<?php if ( $singular ) echo " class='list:$singular'"; ?>>
  		<?php if ( ! $output_empty ) $this->display_rows_or_placeholder(); ?>
  	</tbody>
  </table>
--- 552,558 ----
  		wp_nonce_field( "fetch-list-" . get_class( $this ), '_ajax_fetch_list_nonce' );
  ?>
  <table class="<?php echo implode( ' ', $this->get_table_classes() ); ?>" cellspacing="0" style="display:none;">
! 	<tbody id="the-comment-list"<?php if ( $singular ) echo " data-wp-lists='list:$singular'"; ?>>
  		<?php if ( ! $output_empty ) $this->display_rows_or_placeholder(); ?>
  	</tbody>
  </table>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-filesystem-base.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-filesystem-base.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-filesystem-base.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-filesystem-base.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 193,204 ****
  		$folder = untrailingslashit($folder);
  
  		$folder_parts = explode('/', $folder);
! 		$last_path = $folder_parts[ count($folder_parts) - 1 ];
  
  		$files = $this->dirlist( $base );
  
! 		foreach ( $folder_parts as $key ) {
! 			if ( $key == $last_path )
  				continue; //We want this to be caught by the next code block.
  
  			//Working from /home/ to /user/ to /wordpress/ see if that file exists within the current folder,
--- 193,205 ----
  		$folder = untrailingslashit($folder);
  
  		$folder_parts = explode('/', $folder);
! 		$last_index = array_pop( array_keys( $folder_parts ) );
! 		$last_path = $folder_parts[ $last_index ];
  
  		$files = $this->dirlist( $base );
  
! 		foreach ( $folder_parts as $index => $key ) {
! 			if ( $index == $last_index )
  				continue; //We want this to be caught by the next code block.
  
  			//Working from /home/ to /user/ to /wordpress/ see if that file exists within the current folder,
***************
*** 210,216 ****
  				$newdir = trailingslashit(path_join($base, $key));
  				if ( $this->verbose )
  					printf( __('Changing to %s') . '<br/>', $newdir );
! 				if ( $ret = $this->search_for_folder( $folder, $newdir, $loop) )
  					return $ret;
  			}
  		}
--- 211,219 ----
  				$newdir = trailingslashit(path_join($base, $key));
  				if ( $this->verbose )
  					printf( __('Changing to %s') . '<br/>', $newdir );
! 				// only search for the remaining path tokens in the directory, not the full path again
! 				$newfolder = implode( '/', array_slice( $folder_parts, $index + 1 ) );
! 				if ( $ret = $this->search_for_folder( $newfolder, $newdir, $loop) )
  					return $ret;
  			}
  		}
***************
*** 304,317 ****
  		   if ($key = array_search($attarray[$i], $legal))
  			   $realmode .= $legal[$key];
  
! 		$mode = str_pad($realmode, 9, '-');
  		$trans = array('-'=>'0', 'r'=>'4', 'w'=>'2', 'x'=>'1');
  		$mode = strtr($mode,$trans);
  
! 		$newmode = '';
! 		$newmode .= $mode[0] + $mode[1] + $mode[2];
! 		$newmode .= $mode[3] + $mode[4] + $mode[5];
! 		$newmode .= $mode[6] + $mode[7] + $mode[8];
  		return $newmode;
  	}
  
--- 307,320 ----
  		   if ($key = array_search($attarray[$i], $legal))
  			   $realmode .= $legal[$key];
  
! 		$mode = str_pad($realmode, 10, '-', STR_PAD_LEFT);
  		$trans = array('-'=>'0', 'r'=>'4', 'w'=>'2', 'x'=>'1');
  		$mode = strtr($mode,$trans);
  
! 		$newmode = $mode[0];
! 		$newmode .= $mode[1] + $mode[2] + $mode[3];
! 		$newmode .= $mode[4] + $mode[5] + $mode[6];
! 		$newmode .= $mode[7] + $mode[8] + $mode[9];
  		return $newmode;
  	}
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-filesystem-ftpext.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-filesystem-ftpext.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-filesystem-ftpext.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-filesystem-ftpext.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 330,335 ****
--- 330,339 ----
  			}
  		}
  
+ 		// Replace symlinks formatted as "source -> target" with just the source name
+ 		if ( $b['islink'] )
+ 			$b['name'] = preg_replace( '/(\s*->\s*.*)$/', '', $b['name'] );
+ 
  		return $b;
  	}
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-filesystem-ftpsockets.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-filesystem-ftpsockets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-filesystem-ftpsockets.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 318,323 ****
--- 318,327 ----
  					$struc['files'] = array();
  			}
  
+ 			// Replace symlinks formatted as "source -> target" with just the source name
+ 			if ( $struc['islink'] )
+ 				$struc['name'] = preg_replace( '/(\s*->\s*.*)$/', '', $struc['name'] );
+ 
  			$ret[ $struc['name'] ] = $struc;
  		}
  		return $ret;
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-importer.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-importer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-importer.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-importer.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 132,140 ****
  				exit();
  			}
  			$blog_id = (int) $blog->blog_id;
- 			// Restore global $current_blog
- 			global $current_blog;
- 			$current_blog = $blog;
  		}
  
  		if ( function_exists( 'is_multisite' ) ) {
--- 132,137 ----
***************
*** 212,219 ****
  	 * @return bool
  	 */
  	function is_user_over_quota() {
- 		global $current_blog;
- 
  		if ( function_exists( 'upload_is_user_over_quota' ) ) {
  			if ( upload_is_user_over_quota( 1 ) ) {
  				echo "Sorry, you have used your upload quota.\n";
--- 209,214 ----
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-links-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-links-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-links-list-table.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-links-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 9,17 ****
   */
  class WP_Links_List_Table extends WP_List_Table {
  
! 	function __construct() {
  		parent::__construct( array(
  			'plural' => 'bookmarks',
  		) );
  	}
  
--- 9,18 ----
   */
  class WP_Links_List_Table extends WP_List_Table {
  
! 	function __construct( $args = array() ) {
  		parent::__construct( array(
  			'plural' => 'bookmarks',
+ 			'screen' => isset( $args['screen'] ) ? $args['screen'] : null,
  		) );
  	}
  
***************
*** 68,74 ****
  				'orderby' => 'name',
  			);
  			wp_dropdown_categories( $dropdown_options );
! 			submit_button( __( 'Filter' ), 'secondary', false, false, array( 'id' => 'post-query-submit' ) );
  ?>
  		</div>
  <?php
--- 69,75 ----
  				'orderby' => 'name',
  			);
  			wp_dropdown_categories( $dropdown_options );
! 			submit_button( __( 'Filter' ), 'button', false, false, array( 'id' => 'post-query-submit' ) );
  ?>
  		</div>
  <?php
***************
*** 128,135 ****
  				$attributes = $class . $style;
  
  				switch ( $column_name ) {
! 					case 'cb':
! 						echo '<th scope="row" class="check-column"><input type="checkbox" name="linkcheck[]" value="'. esc_attr( $link->link_id ) .'" /></th>';
  						break;
  
  					case 'name':
--- 129,140 ----
  				$attributes = $class . $style;
  
  				switch ( $column_name ) {
! 					case 'cb': ?>
! 						<th scope="row" class="check-column">
! 							<label class="screen-reader-text" for="cb-select-<?php echo $link->link_id; ?>"><?php echo sprintf( __( 'Select %s' ), $link->link_name ); ?></label>
! 							<input type="checkbox" name="linkcheck[]" id="cb-select-<?php echo $link->link_id; ?>" value="<?php echo esc_attr( $link->link_id ); ?>" />
! 						</th>
! 						<?php
  						break;
  
  					case 'name':
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-list-table.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/class-wp-list-table.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 81,95 ****
  		$args = wp_parse_args( $args, array(
  			'plural' => '',
  			'singular' => '',
! 			'ajax' => false
  		) );
  
! 		$screen = get_current_screen();
  
! 		add_filter( "manage_{$screen->id}_columns", array( &$this, 'get_columns' ), 0 );
  
  		if ( !$args['plural'] )
! 			$args['plural'] = $screen->base;
  
  		$args['plural'] = sanitize_key( $args['plural'] );
  		$args['singular'] = sanitize_key( $args['singular'] );
--- 81,96 ----
  		$args = wp_parse_args( $args, array(
  			'plural' => '',
  			'singular' => '',
! 			'ajax' => false,
! 			'screen' => null,
  		) );
  
! 		$this->screen = convert_to_screen( $args['screen'] );
  
! 		add_filter( "manage_{$this->screen->id}_columns", array( &$this, 'get_columns' ), 0 );
  
  		if ( !$args['plural'] )
! 			$args['plural'] = $this->screen->base;
  
  		$args['plural'] = sanitize_key( $args['plural'] );
  		$args['singular'] = sanitize_key( $args['singular'] );
***************
*** 209,214 ****
--- 210,219 ----
  			echo '<input type="hidden" name="orderby" value="' . esc_attr( $_REQUEST['orderby'] ) . '" />';
  		if ( ! empty( $_REQUEST['order'] ) )
  			echo '<input type="hidden" name="order" value="' . esc_attr( $_REQUEST['order'] ) . '" />';
+ 		if ( ! empty( $_REQUEST['post_mime_type'] ) )
+ 			echo '<input type="hidden" name="post_mime_type" value="' . esc_attr( $_REQUEST['post_mime_type'] ) . '" />';
+ 		if ( ! empty( $_REQUEST['detached'] ) )
+ 			echo '<input type="hidden" name="detached" value="' . esc_attr( $_REQUEST['detached'] ) . '" />';
  ?>
  <p class="search-box">
  	<label class="screen-reader-text" for="<?php echo $input_id ?>"><?php echo $text; ?>:</label>
***************
*** 238,247 ****
  	 * @access public
  	 */
  	function views() {
- 		$screen = get_current_screen();
- 
  		$views = $this->get_views();
! 		$views = apply_filters( 'views_' . $screen->id, $views );
  
  		if ( empty( $views ) )
  			return;
--- 243,250 ----
  	 * @access public
  	 */
  	function views() {
  		$views = $this->get_views();
! 		$views = apply_filters( 'views_' . $this->screen->id, $views );
  
  		if ( empty( $views ) )
  			return;
***************
*** 274,285 ****
  	 * @access public
  	 */
  	function bulk_actions() {
- 		$screen = get_current_screen();
- 
  		if ( is_null( $this->_actions ) ) {
  			$no_new_actions = $this->_actions = $this->get_bulk_actions();
  			// This filter can currently only be used to remove actions.
! 			$this->_actions = apply_filters( 'bulk_actions-' . $screen->id, $this->_actions );
  			$this->_actions = array_intersect_assoc( $this->_actions, $no_new_actions );
  			$two = '';
  		} else {
--- 277,286 ----
  	 * @access public
  	 */
  	function bulk_actions() {
  		if ( is_null( $this->_actions ) ) {
  			$no_new_actions = $this->_actions = $this->get_bulk_actions();
  			// This filter can currently only be used to remove actions.
! 			$this->_actions = apply_filters( 'bulk_actions-' . $this->screen->id, $this->_actions );
  			$this->_actions = array_intersect_assoc( $this->_actions, $no_new_actions );
  			$two = '';
  		} else {
***************
*** 300,306 ****
  
  		echo "</select>\n";
  
! 		submit_button( __( 'Apply' ), 'button-secondary action', false, false, array( 'id' => "doaction$two" ) );
  		echo "\n";
  	}
  
--- 301,307 ----
  
  		echo "</select>\n";
  
! 		submit_button( __( 'Apply' ), 'action', false, false, array( 'id' => "doaction$two" ) );
  		echo "\n";
  	}
  
***************
*** 490,496 ****
  
  		$current = $this->get_pagenum();
  
! 		$current_url = ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
  
  		$current_url = remove_query_arg( array( 'hotkeys_highlight_last', 'hotkeys_highlight_first' ), $current_url );
  
--- 491,497 ----
  
  		$current = $this->get_pagenum();
  
! 		$current_url = set_url_scheme( 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );
  
  		$current_url = remove_query_arg( array( 'hotkeys_highlight_last', 'hotkeys_highlight_first' ), $current_url );
  
***************
*** 600,611 ****
  		if ( isset( $this->_column_headers ) )
  			return $this->_column_headers;
  
! 		$screen = get_current_screen();
  
! 		$columns = get_column_headers( $screen );
! 		$hidden = get_hidden_columns( $screen );
! 
! 		$_sortable = apply_filters( "manage_{$screen->id}_sortable_columns", $this->get_sortable_columns() );
  
  		$sortable = array();
  		foreach ( $_sortable as $id => $data ) {
--- 601,610 ----
  		if ( isset( $this->_column_headers ) )
  			return $this->_column_headers;
  
! 		$columns = get_column_headers( $this->screen );
! 		$hidden = get_hidden_columns( $this->screen );
  
! 		$_sortable = apply_filters( "manage_{$this->screen->id}_sortable_columns", $this->get_sortable_columns() );
  
  		$sortable = array();
  		foreach ( $_sortable as $id => $data ) {
***************
*** 647,657 ****
  	 * @param bool $with_id Whether to set the id attribute or not
  	 */
  	function print_column_headers( $with_id = true ) {
- 		$screen = get_current_screen();
- 
  		list( $columns, $hidden, $sortable ) = $this->get_column_info();
  
! 		$current_url = ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
  		$current_url = remove_query_arg( 'paged', $current_url );
  
  		if ( isset( $_GET['orderby'] ) )
--- 646,654 ----
  	 * @param bool $with_id Whether to set the id attribute or not
  	 */
  	function print_column_headers( $with_id = true ) {
  		list( $columns, $hidden, $sortable ) = $this->get_column_info();
  
! 		$current_url = set_url_scheme( 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );
  		$current_url = remove_query_arg( 'paged', $current_url );
  
  		if ( isset( $_GET['orderby'] ) )
***************
*** 664,669 ****
--- 661,673 ----
  		else
  			$current_order = 'asc';
  
+ 		if ( ! empty( $columns['cb'] ) ) {
+ 			static $cb_counter = 1;
+ 			$columns['cb'] = '<label class="screen-reader-text" for="cb-select-all-' . $cb_counter . '">' . __( 'Select All' ) . '</label>'
+ 				. '<input id="cb-select-all-' . $cb_counter . '" type="checkbox" />';
+ 			$cb_counter++;
+ 		}
+ 
  		foreach ( $columns as $column_key => $column_display_name ) {
  			$class = array( 'manage-column', "column-$column_key" );
  
***************
*** 728,734 ****
  	</tr>
  	</tfoot>
  
! 	<tbody id="the-list"<?php if ( $singular ) echo " class='list:$singular'"; ?>>
  		<?php $this->display_rows_or_placeholder(); ?>
  	</tbody>
  </table>
--- 732,738 ----
  	</tr>
  	</tfoot>
  
! 	<tbody id="the-list"<?php if ( $singular ) echo " data-wp-lists='list:$singular'"; ?>>
  		<?php $this->display_rows_or_placeholder(); ?>
  	</tbody>
  </table>
***************
*** 761,767 ****
  	<div class="tablenav <?php echo esc_attr( $which ); ?>">
  
  		<div class="alignleft actions">
! 			<?php $this->bulk_actions( $which ); ?>
  		</div>
  <?php
  		$this->extra_tablenav( $which );
--- 765,771 ----
  	<div class="tablenav <?php echo esc_attr( $which ); ?>">
  
  		<div class="alignleft actions">
! 			<?php $this->bulk_actions(); ?>
  		</div>
  <?php
  		$this->extra_tablenav( $which );
***************
*** 903,915 ****
  	 * @access private
  	 */
  	function _js_vars() {
- 		$current_screen = get_current_screen();
- 
  		$args = array(
  			'class'  => get_class( $this ),
  			'screen' => array(
! 				'id'   => $current_screen->id,
! 				'base' => $current_screen->base,
  			)
  		);
  
--- 907,917 ----
  	 * @access private
  	 */
  	function _js_vars() {
  		$args = array(
  			'class'  => get_class( $this ),
  			'screen' => array(
! 				'id'   => $this->screen->id,
! 				'base' => $this->screen->base,
  			)
  		);
  
